curl --request POST \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions \
--header 'Content-Type: application/json' \
--data '
{
"methodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary": {
"holder": {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>"
},
"account": {
"type": "us",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"reference": "<string>"
},
"amount": "<string>",
"source": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
}
'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions"
payload = {
"methodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary": {
"holder": {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>"
},
"account": {
"type": "us",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"reference": "<string>"
},
"amount": "<string>",
"source": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
methodId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
beneficiary: {
holder: {type: 'individual', firstName: '<string>', lastName: '<string>'},
account: {type: 'us', routingNumber: '<string>', accountNumber: '<string>'},
reference: '<string>'
},
amount: '<string>',
source: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
})
};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'methodId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'beneficiary' => [
'holder' => [
'type' => 'individual',
'firstName' => '<string>',
'lastName' => '<string>'
],
'account' => [
'type' => 'us',
'routingNumber' => '<string>',
'accountNumber' => '<string>'
],
'reference' => '<string>'
],
'amount' => '<string>',
'source' => '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions"
payload := strings.NewReader("{\n \"methodId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"beneficiary\": {\n \"holder\": {\n \"type\": \"individual\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"account\": {\n \"type\": \"us\",\n \"routingNumber\": \"<string>\",\n \"accountNumber\": \"<string>\"\n },\n \"reference\": \"<string>\"\n },\n \"amount\": \"<string>\",\n \"source\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions")
.header("Content-Type", "application/json")
.body("{\n \"methodId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"beneficiary\": {\n \"holder\": {\n \"type\": \"individual\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"account\": {\n \"type\": \"us\",\n \"routingNumber\": \"<string>\",\n \"accountNumber\": \"<string>\"\n },\n \"reference\": \"<string>\"\n },\n \"amount\": \"<string>\",\n \"source\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"methodId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"beneficiary\": {\n \"holder\": {\n \"type\": \"individual\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"account\": {\n \"type\": \"us\",\n \"routingNumber\": \"<string>\",\n \"accountNumber\": \"<string>\"\n },\n \"reference\": \"<string>\"\n },\n \"amount\": \"<string>\",\n \"source\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91\"\n}"
response = http.request(request)
puts response.read_body{
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "noah",
"status": "pending",
"terminal": true,
"stages": {
"receipt": {
"status": "not_started"
},
"conversion": {
"status": "not_started"
},
"delivery": {
"status": "not_started"
},
"return": {
"status": "none"
}
},
"rail": {
"kind": "fiat",
"method": "<string>"
},
"fiat": {
"charged": {
"total": "<string>",
"net": "<string>",
"currency": "<string>"
},
"eur": {
"total": "<string>",
"net": "<string>"
},
"usd": {
"total": "<string>",
"net": "<string>"
}
},
"crypto": {
"asset": "<string>",
"network": "<string>",
"amount": "<string>"
},
"providerStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fundingAccount": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"expiresAt": "2023-11-07T05:31:56Z"
},
"funding": {
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"chain": "<string>",
"token": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"amount": "<string>"
},
"estimate": {
"fiatAmount": "<string>",
"currency": "<string>",
"totalFee": "<string>",
"rate": "<string>"
}
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED",
"fields": [
"<string>"
],
"estimate": {
"totalFee": "<string>",
"currency": "<string>"
}
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED",
"fields": [
"<string>"
],
"estimate": {
"totalFee": "<string>",
"currency": "<string>"
}
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}Start a withdrawal to a bank account
Creates the withdrawal’s funding account and the payout with the provider. Send exactly funding.amount of funding.token on funding.chain to funding.address before session.expiresAt; anything else, and any refund or bank return, goes back to source.
curl --request POST \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions \
--header 'Content-Type: application/json' \
--data '
{
"methodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary": {
"holder": {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>"
},
"account": {
"type": "us",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"reference": "<string>"
},
"amount": "<string>",
"source": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
}
'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions"
payload = {
"methodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary": {
"holder": {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>"
},
"account": {
"type": "us",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"reference": "<string>"
},
"amount": "<string>",
"source": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
methodId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
beneficiary: {
holder: {type: 'individual', firstName: '<string>', lastName: '<string>'},
account: {type: 'us', routingNumber: '<string>', accountNumber: '<string>'},
reference: '<string>'
},
amount: '<string>',
source: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
})
};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'methodId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'beneficiary' => [
'holder' => [
'type' => 'individual',
'firstName' => '<string>',
'lastName' => '<string>'
],
'account' => [
'type' => 'us',
'routingNumber' => '<string>',
'accountNumber' => '<string>'
],
'reference' => '<string>'
],
'amount' => '<string>',
'source' => '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions"
payload := strings.NewReader("{\n \"methodId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"beneficiary\": {\n \"holder\": {\n \"type\": \"individual\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"account\": {\n \"type\": \"us\",\n \"routingNumber\": \"<string>\",\n \"accountNumber\": \"<string>\"\n },\n \"reference\": \"<string>\"\n },\n \"amount\": \"<string>\",\n \"source\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions")
.header("Content-Type", "application/json")
.body("{\n \"methodId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"beneficiary\": {\n \"holder\": {\n \"type\": \"individual\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"account\": {\n \"type\": \"us\",\n \"routingNumber\": \"<string>\",\n \"accountNumber\": \"<string>\"\n },\n \"reference\": \"<string>\"\n },\n \"amount\": \"<string>\",\n \"source\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"methodId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"beneficiary\": {\n \"holder\": {\n \"type\": \"individual\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"account\": {\n \"type\": \"us\",\n \"routingNumber\": \"<string>\",\n \"accountNumber\": \"<string>\"\n },\n \"reference\": \"<string>\"\n },\n \"amount\": \"<string>\",\n \"source\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91\"\n}"
response = http.request(request)
puts response.read_body{
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "noah",
"status": "pending",
"terminal": true,
"stages": {
"receipt": {
"status": "not_started"
},
"conversion": {
"status": "not_started"
},
"delivery": {
"status": "not_started"
},
"return": {
"status": "none"
}
},
"rail": {
"kind": "fiat",
"method": "<string>"
},
"fiat": {
"charged": {
"total": "<string>",
"net": "<string>",
"currency": "<string>"
},
"eur": {
"total": "<string>",
"net": "<string>"
},
"usd": {
"total": "<string>",
"net": "<string>"
}
},
"crypto": {
"asset": "<string>",
"network": "<string>",
"amount": "<string>"
},
"providerStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fundingAccount": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"expiresAt": "2023-11-07T05:31:56Z"
},
"funding": {
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"chain": "<string>",
"token": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"amount": "<string>"
},
"estimate": {
"fiatAmount": "<string>",
"currency": "<string>",
"totalFee": "<string>",
"rate": "<string>"
}
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED",
"fields": [
"<string>"
],
"estimate": {
"totalFee": "<string>",
"currency": "<string>"
}
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED",
"fields": [
"<string>"
],
"estimate": {
"totalFee": "<string>",
"currency": "<string>"
}
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}Headers
Integrator API key: the project’s orders
Customer bearer from POST /compliance/sessions: that customer’s orders, and every order on its bound account
"Bearer eyJhbGciOi..."
Body
From GET /offramp/options
The bank account to pay. Passed to the provider only: never stored or logged.
Show child attributes
Show child attributes
Decimal token units (USDC), never base units
40^(0|[1-9]\d*)(\.\d{1,6})?$The account the withdrawal comes from; refunds go back to it
^0x[a-fA-F0-9]{40}$"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
Chain and token refunds are returned as; defaults to funding
Show child attributes
Show child attributes
Was this page helpful?